# QwtSplineCurveFitter Class Reference

Inheritance diagram for QwtSplineCurveFitter:

[legend]
Collaboration diagram for QwtSplineCurveFitter:

[legend]
List of all members.

## Detailed Description

A curve fitter using cubic splines.

Definition at line 65 of file qwt_curve_fitter.h.

## Public Types

enum | FitMode { Auto, Spline, ParametricSpline }

## Public Member Functions

| QwtSplineCurveFitter ()
virtual | ~QwtSplineCurveFitter ()
void | setFitMode (FitMode)
FitMode | fitMode () const
void | setSpline (const QwtSpline &)
const QwtSpline & | spline () const
QwtSpline & | spline ()
void | setSplineSize (int size)
int | splineSize () const
virtual QPolygonF | fitCurve (const QPolygonF &) const